<%= render 'setup/header' %>

<div class="ui basic container segment">
  <h1>User</h1>
  <div class="ui header">
    ID:
    <div class="sub header"><%= @user.id %></div>
  </div>
  <div class="ui header">
    UUID:
    <div class="sub header"><%= @user.uuid %></div>
  </div>
  <div class="ui header">
    Username:
    <div class="sub header"><%= @user.username %></div>
  </div>
  <div class="ui header">
    Roles:
    <div class="sub header"><%= @user.roles.map { |r| r.name.capitalize if r.name }.join(',') %></div>
  </div>
  <div class="ui header">
    Active:
    <div class="sub header"><%if @user.active %><i class="check circle icon"></i><% else %><i class="circle icon"></i><% end %></div>
  </div>
  <div class="ui header">
    Token:
    <div class="sub header"><%= @user.token %></div>
  </div>
  <div class="ui header">
    Created At:
    <div class="sub header"><%= @user.created_at %></div>
  </div>
  <%= link_to edit_user_path(@user), class: "ui button" do %>
    <i class="edit icon"></i> Edit
  <% end %>
  <%= link_to users_path, class: "ui button" do %>
    <i class="chevron left icon"></i> Back
  <% end %>
</div>


